Package: org.codehaus.groovy.reflection

## [Java] Class GeneratedMetaMethod.DgmMethodRecord

- org.codehaus.groovy.reflection.GeneratedMetaMethod.DgmMethodRecord

- All Implemented Interfaces and Traits:
    Serializable

      public static class GeneratedMetaMethod.DgmMethodRecord
      extends Object
      implements Serializable

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `String` | `className` |
    `String` | `methodName` |
    `Class[]` | `parameters` |
    `Class` | `returnType` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static List<DgmMethodRecord>` | `loadDgmInfo()`
    `` | `public static void` | `saveDgmInfo(List<DgmMethodRecord> records, String file)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public String className

    - #### public String methodName

    - #### public Class[] parameters

    - #### public Class returnType

  - ### Method Detail

    - #### public static List<DgmMethodRecord> loadDgmInfo()

    - #### public static void saveDgmInfo(List<DgmMethodRecord> records, String file)